const
	maxn = 100;
var
	i, n: longint;
	x, y: array [1..maxn] of longint;
begin
	read(n);
	for i := 1 to n do begin
		read(x[i], y[i]);
	end;
	writeln(n);
	for i := n downto 1 do begin
		writeln(-x[i], ' ', y[i]);
	end;
end.